package com.zbf.system.service;

import java.util.List;

import com.zbf.system.domain.TMiStock;
import com.zbf.system.domain.TckOrderdetailBak;

/**
 * 出库物料明细Service接口
 *
 * @author tony
 * @date 2024-09-09
 */
public interface ITckOrderdetailBakService
{
    /**
     * 查询出库物料明细
     *
     * @param id 出库物料明细主键
     * @return 出库物料明细
     */
    public TckOrderdetailBak selectTckOrderdetailBakById(String id);

    /**
     * 查询出库物料明细列表
     *
     * @param tckOrderdetailBak 出库物料明细
     * @return 出库物料明细集合
     */
    public List<TckOrderdetailBak> selectTckOrderdetailBakList(TckOrderdetailBak tckOrderdetailBak);

    /**
     * 新增出库物料明细
     *
     * @param tckOrderdetailBak 出库物料明细
     * @return 结果
     */
    public int insertTckOrderdetailBak(TckOrderdetailBak tckOrderdetailBak);

    /**
     * 修改出库物料明细
     *
     * @param tckOrderdetailBak 出库物料明细
     * @return 结果
     */
    public int updateTckOrderdetailBak(TckOrderdetailBak tckOrderdetailBak);

    /**
     * 批量删除出库物料明细
     *
     * @param ids 需要删除的出库物料明细主键集合
     * @return 结果
     */
    public int deleteTckOrderdetailBakByIds(String[] ids);

    /**
     * 删除出库物料明细信息
     *
     * @param id 出库物料明细主键
     * @return 结果
     */
    public int deleteTckOrderdetailBakById(String id);

    /**
     * 批量禁用出库物料明细
     *
     * @param ids 需要禁用的出库物料明细主键集合
     * @return 结果
     */
    public int disabledTckOrderdetailBakByIds(String[] ids);

    /**
     * 批量启用出库物料明细
     *
     * @param ids 需要启用的出库物料明细主键集合
     * @return 结果
     */
    public int enableTckOrderdetailBakByIds(String[] ids);

    /**
     * 改变状态
     *
     * @param tckOrderdetailBak
     * @return 结果
     */
    public int updateStatus(TckOrderdetailBak tckOrderdetailBak);

    List<TckOrderdetailBak> select(TckOrderdetailBak tckOrderdetailBak);
}

